gm import
NAME
| import - capture some or all of an X server screen and save the image to a file.
Contents
| Description Examples Options Environment Configuration Files Authors Copyright
Synopsis
| import [ options ... ] file
Description
| Import reads an image from any visible window on an X server and outputs it as an image file. You can capture a single window, the entire screen, or any rectangular portion of the screen. Use display for redisplay, printing, editing, formatting, archiving, image processing, etc. of the captured image. The target window can be specified by id, name, or may be selected by clicking the mouse in the desired window. If you press a button and then drag, a rectangle will form which expands and contracts as the mouse moves. To save the portion of the screen defined by the rectangle, just release the button. The keyboard bell is rung once at the beginning of the screen capture and twice when it completes.
Back to Contents
Examples
| To select an X window or an area of the screen with the mouse and save it in the MIFF image format to a file entitled window.miff, use:
        gm import window.miff
To select an X window or an area of the screen with the mouse and save it in the Encapsulated PostScript format to include in another document, use:
        gm import figure.eps
To capture the entire X server screen in the JPEG image format in a file entitled root.jpeg, without using the mouse, use:
        gm import -window root root.jpeg
To capture the 512x256 area at the upper right corner of the X server screen in the PNG image format in a well-compressed file entitled corner.png, without using the mouse, use:
        gm import -window root -crop 512x256-0+0 -quality 90
               corner.png
Back to Contents
Options
| Options are processed in command line order. Any option you specify on the command line remains in effect until it is explicitly changed by specifying the option again with a different effect. Import options can appear on the command line or in your X resources file. See X(1). Options on the command line supersede values specified in your X resources file. For a more detailed description of each option, see Options, above. GraphicsMagick(1).
| -bordercolor <color>
| the border color
| -colors <value>
| preferred number of colors in the image
| -colorspace <value>
| the type of colorspace
| -comment <string>
| annotate an image with a comment
| -crop <width>x<height>{+-}<x>{+-}<y>{%}
| preferred size and location of the cropped image
| -debug <events>
| enable debug printout
| -define <key>{=<value>},...
| add coder/decoder specific options
| -delay <1/100ths of a second>
| display the next image after pausing
| -density <width>x<height>
| horizontal and vertical resolution in pixels of the image
| -depth <value>
| depth of the image
| -descend
| obtain image by descending window hierarchy
| -display <host:display[.screen]>
| specifies the X server to contact
| -dispose <method>
| GIF disposal method
| -dither
| apply Floyd/Steinberg error diffusion to the image
| -encoding <type>
| specify the text encoding
| -endian <type>
| specify endianness (MSB or LSB) of output image
| -frame
| include the X window frame in the imported image
| -geometry <width>x<height>{+-}<x>{+-}<y>{%}{@} {!}{<}{>}
| preferred size and location of the Image window.
| -help
| print usage instructions
| -interlace <type>
| the type of interlacing scheme
| -label <name>
| assign a label to an image
| -limit <type> <value>
| Disk, File, Map, Memory, or Pixels resource limit
| -log <string>
| Specify format for debug log
| -monitor
| show progress indication
| -monochrome
| transform the image to black and white
| -negate
| replace every pixel with its complementary color
| -page <width>x<height>{+-}<x>{+-}<y>{%}{!}{<}{>}
| size and location of an image canvas
| -pause <seconds>
| pause between snapshots [import]
| -ping
| efficiently determine image characteristics
| -pointsize <value>
| pointsize of the PostScript, X11, or TrueType font
| -quality <value>
| JPEG/MIFF/PNG/TIFF compression level
| -resize <width>x<height>{%}{@}{!}{<}{>}
| resize an image
| -rotate <degrees>{<}{>}
| apply Paeth image rotation to the image
| -sampling-factor <horizontal_factor>x<vertical_factor>
| chroma subsampling factors
| -scene <value>
| set scene number
| -screen
| specify the screen to capture
| -set <attribute> <value>
| set an image attribut
| -silent
| operate silently
| -snaps <value>
| number of screen snapshots
| -transparent <color>
| make this color transparent within the image
| -trim
| trim an image
| -verbose
| print detailed information about the image
| -version
| print GraphicsMagick version string
For a more detailed description of each option, see Options, above. GraphicsMagick(1).
Environment
| COLUMNS
| Output screen width. Used when formatting text for the screen. Many Unix systems keep this shell variable up to date, but it may need to be explicitly exported in order for GraphicsMagick to see it.
| DISPLAY
| X11 display ID (host, display number, and screen in the form hostname:display.screen).
| HOME
| Location of user's home directory. GraphicsMagick searches for configuration files in $HOME/.magick if the directory exists. See MAGICK_CODER_MODULE_PATH, MAGICK_CONFIGURE_PATH, and MAGICK_FILTER_MODULE_PATH if more flexibility is needed.
| MAGICK_CODER_MODULE_PATH
| Search path to use when searching for image format coder modules. This path allows the user to arbitrarily extend the image formats supported by GraphicsMagick by adding loadable modules to an arbitrary location rather than copying them into the GraphicsMagick installation directory. The formatting of the search path is similar to operating system search paths (i.e. colon delimited for Unix, and semi-colon delimited for Microsoft Windows). This user specified search path is used before trying the default search path.
| MAGICK_CONFIGURE_PATH
| Search path to use when searching for configuration (.mgk) files. The formatting of the search path is similar to operating system search paths (i.e. colon delimited for Unix, and semi-colon delimited for Microsoft Windows). This user specified search path is used before trying the default search path.
| MAGICK_DEBUG
| Debug options (see -debug for details)
| MAGICK_FILTER_MODULE_PATH
| Search path to use when searching for filter process modules (invoked via -process). This path allows the user to arbitrarily extend GraphicsMagick's image processing functionality by adding loadable modules to an arbitrary location rather than copying them into the GraphicsMagick installation directory. The formatting of the search path is similar to operating system search paths (i.e. colon delimited for Unix, and semi-colon delimited for Microsoft Windows). This user specified search path is used before trying the default search path.
| MAGICK_HOME
| Path to top of GraphicsMagick installation directory. Only observed by "uninstalled" builds of GraphicsMagick which do not have their location hard-coded or set by an installer.
| MAGICK_MMAP_READ
| If MAGICK_MMAP_READ is set to TRUE, GraphicsMagick will attempt to memory-map the input file for reading. This usually substantially improves read performance if the file has recently been read. However, testing shows that performance may be reduced for files accessed for the first time via a network since some operating systems failed to do read-ahead over network mounts for memory mapped files.
| MAGICK_MMAP_WRITE
| If MAGICK_MMAP_WRITE is set to TRUE, GraphicsMagick will attempt to memory-map the output file for writing. This is an experimental feature (which is currently broken). Write performance is usually somewhat worse when using this approach rather than the default one.
| MAGICK_IOBUF_SIZE
| The amount of I/O buffering (in bytes) to use when reading and writing encoded files. The default is 16384, which is observed to work well for many cases. The best value for a local filesystem is usually the the native filesystem block size (e.g. 4096, 8192, or even 131,072 for ZFS) in order to minimize the number of physical disk I/O operations. I/O performance to files accessed over a network may benefit significantly by tuning this option. Larger values are not necessarily better (they may be slower!), and there is rarely any benefit from using values larger than 32768. Use convert's -verbose option in order to evaluate read and write rates in pixels per second while keeping in mind that the operating system will try to cache files in RAM.
| MAGICK_LIMIT_DISK
| Maximum amount of disk space allowed for use by the pixel cache.
| MAGICK_LIMIT_FILES
| Maximum number of open files.
| MAGICK_LIMIT_MAP
| Maximum size of a memory map.
| MAGICK_LIMIT_MEMORY
| Maximum amount of memory to allocate from the heap.
| MAGICK_TMPDIR
| Path to directory where GraphicsMagick should write temporary files. The default is to use the system default, or the location set by TMPDIR.
| TMPDIR
| For POSIX-compatible systems (Unix-compatible), the path to the directory where all applications should write temporary files. Overridden by MAGICK_TMPDIR if it is set.
| TMP or TEMP
| For Microsoft Windows, the path to the directory where applications should write temporary files. Overridden by MAGICK_TMPDIR if it is set.
Back to Contents
Configuration Files
| GraphicsMagick uses a number of XML format configuration files:
| colors.mgk
| colors configuration file
      <?xml version="1.0"?>
      <colormap>
        <color name="AliceBlue" red="240" green="248" blue="255"
               compliance="SVG, X11, XPM" />
      </colormap>
| delegates.mgk
| delegates configuration file
| log.mgk
| logging configuration file
      <?xml version="1.0"?>
      <magicklog>
        <log events="None" />
        <log output="stdout" />
        <log filename="Magick-%d.log" />
        <log generations="3" />
        <log limit="2000" />
        <log format="%t %r %u %p %m/%f/%l/%d:\n  %e"  />
      </magicklog>
| magic.mgk
| file header magic test configuration file
      <?xml version="1.0"?>
      <magicmap>
        <magic name="AVI" offset="0" target="RIFF" />
      </magicmap>
| modules.mgk
| loadable modules configuration file
      <?xml version="1.0"?>
      <modulemap>
        <module magick="8BIM" name="META" />
      </modulemap>
| type.mgk
| master type (fonts) configuration file
      <?xml version="1.0"?>
      <typemap>
        <include file="type-windows.mgk" />
        <type
          name="AvantGarde-Book"
          fullname="AvantGarde Book"
          family="AvantGarde"
          foundry="URW"
          weight="400"
          style="normal"
          stretch="normal"
          format="type1"
          metrics="/usr/local/share/ghostscript/fonts/a010013l.afm"
          glyphs="/usr/local/share/ghostscript/fonts/a010013l.pfb"
        />
      </typemap>
Back to Contents
Authors
| John Cristy, Bob Friesenhahn, Glenn Randers-Pehrson, William Radcliff, Leonard Rosenthol.
Back to Contents
Copyright
| Copyright (C) 2002 - 2010 GraphicsMagick Group, an organization dedicated to making software imaging solutions freely available. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files ("GraphicsMagick"), to deal in GraphicsMagick without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of GraphicsMagick, and to permit persons to whom GraphicsMagick is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of GraphicsMagick. The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall GraphicsMagick Group be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with GraphicsMagick or the use or other dealings in GraphicsMagick. Except as contained in this notice, the name of the GraphicsMagick Group shall not be used in advertising or otherwise to promote the sale, use or other dealings in GraphicsMagick without prior written authorization from the GraphicsMagick Group. Additional copyrights and licenses apply to this software. You should have received a copy of Copyright.txt with this package, which describes additional copyrights and licenses which apply to this software; otherwise see http://www.graphicsmagick.org/www/Copyright.html.
Back to Contents [Home] [Utilities Index] Copyright © GraphicsMagick Group 2002-2010